----------------
-- Parameters --
----------------

  
--   awesome trick
-- Insert into BeliefModifiers ( BeliefType, modifierid )
-- Select belieftype, 'MODIFIER_IDENTITY_LOSS_PER_TURN_PER_HERETICS' from Beliefs; 
--   insert into DistrictModifiers (DistrictType, ModifierId) values
-- ("DISTRICT_HOLY_SITE", "MODIFIER_CITY_IDENTITY_GAIN");  
-- insert into Modifiers (ModifierId, ModifierType, SubjectRequirementSetId)
-- values ('ADD_IDENTITY_PER_TURN_TO_ALL_GOVERNOR','MODIFIER_ALL_CITIES_ATTACH_MODIFIER', 'CITY_HAS_GOVERNOR');

-- Governors identity per turn x10
INSERT INTO GlobalParameters (Name, Value) VALUES ('Lpp_VERSION_MAJOR', '5');
INSERT INTO GlobalParameters (Name, Value) VALUES ('Lpp_VERSION_MINOR', '2');
INSERT INTO GlobalParameters (Name, Value) VALUES ('Lpp_VERSION_PATCH', '1');


UPDATE Governors
   SET  IdentityPressure = '80'
   
 WHERE IdentityPressure = '8';







-- varanasi +7 -2 0 0
-- Loyalty Start 100 -> 1000, Max 100 -> 1000

 update GlobalParameters set Value = "1000" where Name="LOYALTY_START";
 update GlobalParameters set Value = "1000" where Name="LOYALTY_MAXIMUM";

-- Max Pressure per Turn : 20 -> 200

 update GlobalParameters set Value = "200" where Name="LOYALTY_PER_TURN_FROM_NEARBY_CITIZEN_PRESSURE_MAX_LOYALTY";

-- default are perfect or close /10
-- Martial Law 8 -> 80, Occupation max -5 -> -10, occupation min -1 -> 10


update GlobalParameters set Value = "80" where Name="IDENTITY_PER_TURN_FROM_MARTIAL_LAW";
update GlobalParameters set Value = "-10" where Name="IDENTITY_PER_TURN_FROM_OCCUPATION_MAX";
UPDATE GlobalParameters SET Value = '10' WHERE Name = 'IDENTITY_PER_TURN_FROM_OCCUPATION_MIN';

-- Food Deficit (Starvation) : -4 -> -40

update GlobalParameters set Value = "-40" where Name="IDENTITY_PER_TURN_FROM_STARVATION";

-- Identity per turn from original owner on city 0 -> 100

update GlobalParameters set Value = "0" where Name="IDENTITY_PER_TURN_FROM_ORIGINAL_OWNER_ON_FREE_CITY";

-- Identity per turn from owner before revolt 0 -> 0

update GlobalParameters set Value = "0" where Name="IDENTITY_PER_TURN_FROM_OWNER_BEFORE_OCCUPATION_ON_FREE_CITY";

-- Other scale (x10 from default)

update GlobalParameters set Value = "0" where Name="IDENTITY_PER_TURN_FROM_FREE_CITIES"; -- default 10
update GlobalParameters set Value = "20" where Name="IDENTITY_PER_TURN_FROM_HIGHEST_INFLUENCE_TOKENS_PER_TOKEN";
update GlobalParameters set Value = "1000" where Name="LOYALTY_AFTER_TRANSFERRED_BY_LIBERATION";
update GlobalParameters set Value = "200" where Name="IDENTITY_PER_TURN_FROM_CITY_STATES";
update GlobalParameters set Value = "-150" where Name="ESPIONAGE_FOMENT_UNREST_BASE_LOYALTY_CHANGE";
update GlobalParameters set Value = "-50" where Name="ESPIONAGE_FOMENT_UNREST_LEVEL_LOYALTY_CHANGE";

-- citizen identity presure : default 1,1

update GlobalParameters set Value = "1" where Name="CITIZEN_IDENTITY_PRESSURE_CAPITAL";
update GlobalParameters set Value = "1" where Name="CITIZEN_IDENTITY_PRESSURE_BASE";

-- Loyalty Gain after you take the control of the city : default 50,50,50,100

update GlobalParameters set Value = "100" where Name="LOYALTY_AFTER_TRANSFERRED_BY_COMBAT";
update GlobalParameters set Value = "1000" where Name="LOYALTY_AFTER_TRANSFERRED_BY_COMBAT_ORIGINAL_OWNER";
update GlobalParameters set Value = "500" where Name="LOYALTY_AFTER_TRANSFERRED_BY_COMBAT_OWNER_BEFORE_OCCUPATION";
update GlobalParameters set Value = "1000" where Name="LOYALTY_AFTER_TRANSFERRED_BY_CULTURAL_IDENTITY";




-- Loyaltylevels scale

UPDATE LoyaltyLevels SET LoyaltyMax = '250', LoyaltyMin = '0' WHERE LoyaltyLevelType = 'LOYALTY_LEVEL_0';
UPDATE LoyaltyLevels SET LoyaltyMax = '500', LoyaltyMin = '251' WHERE LoyaltyLevelType = 'LOYALTY_LEVEL_1';
UPDATE LoyaltyLevels SET LoyaltyMax = '750', LoyaltyMin = '501' WHERE LoyaltyLevelType = 'LOYALTY_LEVEL_2';
UPDATE LoyaltyLevels SET LoyaltyMax = '1000', LoyaltyMin = '751' WHERE LoyaltyLevelType = 'LOYALTY_LEVEL_3';

-- Happyness : default -6, -6, -6, -3, 0, +3, +6

 update Happinesses_XP1 set IdentityPerTurnChange = "-100" where HappinessType="HAPPINESS_REVOLT";
update Happinesses_XP1 set IdentityPerTurnChange = "-70" where HappinessType="HAPPINESS_UNREST";
update Happinesses_XP1 set IdentityPerTurnChange = "-60" where HappinessType="HAPPINESS_UNHAPPY";
update Happinesses_XP1 set IdentityPerTurnChange = "-30" where HappinessType="HAPPINESS_DISPLEASED";
update Happinesses_XP1 set IdentityPerTurnChange = "0" where HappinessType="HAPPINESS_CONTENT";
update Happinesses_XP1 set IdentityPerTurnChange = "30" where HappinessType="HAPPINESS_HAPPY";
update Happinesses_XP1 set IdentityPerTurnChange = "60" where HappinessType="HAPPINESS_ECSTATIC"; 
 
 -- Scaling of every identity per turn modifiers (x10 from default)
 
 UPDATE ModifierArguments
   SET Value = '-20'
 WHERE ModifierId = 'GOV_TALL_LOYALTY_DEBUFF' and name = 'Amount';
 
 UPDATE ModifierArguments
   SET  Value = '20'
 WHERE ModifierId = 'COLOSSEUM_IDENTITY' and name = 'Amount';
 
 UPDATE ModifierArguments
   SET Value = '30'
 WHERE ModifierId = 'TRAIT_ISIBONGO_GARRISONIDENTITY' and name = 'Amount';
 
 UPDATE ModifierArguments
   SET Value = '20'
 WHERE ModifierId = 'TRAIT_ISIBONGO_GARRISONFORMATIONIDENTITY' and name = 'Amount';
 
 UPDATE ModifierArguments
   SET Value = '20'
 WHERE ModifierId = 'TRAIT_MISSION_IDENTITY_PER_TURN_MODIFIER' and name = 'Amount';
 
 UPDATE ModifierArguments
   SET Value = '20'
 WHERE ModifierId = 'MINOR_CIV_PRESLAV_BARRACKS_STABLE_IDENTITY_BONUS' and name = 'Amount';
 
 UPDATE ModifierArguments
   SET Value = '20'
 WHERE ModifierId = 'MINOR_CIV_PRESLAV_ARMORY_IDENTITY_BONUS' and name = 'Amount';
 
 UPDATE ModifierArguments
   SET Value = '20'
 WHERE ModifierId = 'MINOR_CIV_PRESLAV_MILITARY_ACADEMY_IDENTITY_BONUS' and name = 'Amount';
 
 UPDATE ModifierArguments
   SET Value = '20'
 WHERE ModifierId = 'COMMEMORATION_EXPLORATION_GA_FOREIGNIDENTITY' and name = 'Amount';
 
 UPDATE ModifierArguments
   SET Value = '30'
 WHERE ModifierId = 'COLONIALOFFICES_FOREIGNIDENTITY' and name = 'Amount';
 
 UPDATE ModifierArguments
   SET  Value = '20'
 WHERE ModifierId = 'LIMITANEI_GARRISONIDENTITY' and name = 'Amount';
 
  UPDATE ModifierArguments
   SET  Value = '20'
 WHERE ModifierId = 'MARTIALLAW_GARRISONIDENTITY' and name = 'Amount';
 
  UPDATE ModifierArguments
   SET  Value = '-20'
 WHERE ModifierId = 'POLICESTATE_LOSEIDENTITY' and name = 'Amount';
 
  UPDATE ModifierArguments
   SET  Value = '20'
 WHERE ModifierId = 'PRAETORIUM_GOVERNORIDENTITY' and name = 'Amount';
 
  UPDATE ModifierArguments
   SET  Value = '10'
 WHERE ModifierId = 'MONUMENT_LOYALTY' and name = 'Amount';
 
  UPDATE ModifierArguments
   SET  Value = '40'
 WHERE ModifierId = 'ROYAL_NAVY_DOCKYARD_IDENTITY_PER_TURN_MODIFIER' and name = 'Amount';
 
   UPDATE ModifierArguments
   SET  Value = '80'
 WHERE ModifierId = 'GOVERNMENT_IDENTITY_PER_TURN_MODIFIER' and name = 'Amount';
 
   UPDATE ModifierArguments
   SET  Value = '20'
 WHERE ModifierId = 'GREATPERSON_THEMISTOCLES_ACTIVE' and name = 'Amount';
 
   UPDATE ModifierArguments
   SET  Value = '40'
 WHERE ModifierId = 'GREATPERSON_FERDINAND_MAGELLAN_ACTIVE' and name = 'Amount';
 
   UPDATE ModifierArguments
   SET  Value = '60'
 WHERE ModifierId = 'GREATPERSON_TOGO_HEIHACHIRO_ACTIVE' and name = 'Amount';
 
   UPDATE ModifierArguments
   SET  Value = '20'
 WHERE ModifierId = 'GREATPERSON_AETHELFLAED_ACTIVE' and name = 'Amount';
 
   UPDATE ModifierArguments
   SET  Value = '40'
 WHERE ModifierId = 'GREATPERSON_SIMON_BOLIVAR_ACTIVE' and name = 'Amount';
 
    UPDATE ModifierArguments
   SET  Value = '60'
 WHERE ModifierId = 'GREATPERSON_SUDIRMAN_ACTIVE' and name = 'Amount';
 
UPDATE ModifierArguments
   SET  Value = '-200'
 WHERE ModifierId = 'TRAIT_DIMINISH_LOYALTY_IN_ENEMY_CITY' and name = 'Amount';
 
 
    UPDATE ModifierArguments
   SET  Value = '70'
 WHERE ModifierId = 'LOW_DIFFICULTY_HUMAN_MARTIAL_LAW' and name = 'Amount';
 
     UPDATE ModifierArguments
   SET  Value = '-30'
 WHERE ModifierId = 'high_DIFFICULTY_HUMAN_MARTIAL_LAW' and name = 'Amount';
 
     UPDATE ModifierArguments
   SET  Value = '10'
 WHERE ModifierId = 'NUCLEAR_EMERGENCY_TARGET_CULTURAL_IDENTITY_REWARD' and name = 'Amount';
 
     UPDATE ModifierArguments
   SET  Value = '20'
 WHERE ModifierId = 'EMISSARY_IDENTITY_PRESSURE_TO_FOREIGN_CITIES' and name = 'Amount';
 
      UPDATE ModifierArguments
   SET  Value = '20'
 WHERE ModifierId = 'PRESTIGE_IDENTITY_PRESSURE_TO_DOMESTIC_CITIES' and name = 'Amount';
 
      UPDATE ModifierArguments
   SET  Value = '0.5'
 WHERE ModifierId = 'GOLDEN_AGE_CITY_IDENTITY' and name = 'Amount';
 
      UPDATE ModifierArguments
   SET  Value = '-0.5'
 WHERE ModifierId = 'DARK_AGE_CITY_IDENTITY' and name = 'Amount';
 
       UPDATE ModifierArguments
   SET  Value = '20'
 WHERE ModifierId = 'modifierid' and name = 'Amount';
 
       UPDATE ModifierArguments
   SET  Value = '10'
 WHERE ModifierId = 'TRAIT_IDENTITY_FROM_DOMESTIC_TRADE_ROUTES' and name = 'Amount';
 
       UPDATE ModifierArguments
   SET  Value = '10'
 WHERE ModifierId = 'COMMUNICATIONS_OFFICE_GOVERNOR_IDENTITY_PER_TITLE' and name = 'Amount';
 

--------------------------------------
-- Buildings, Districts and Wonders --
--------------------------------------


 insert into Modifiers (ModifierId, ModifierType)
values ("MOD_PALACE_LOYALTY_BUFF", "MODIFIER_SINGLE_CITY_ADJUST_IDENTITY_PER_TURN");

insert into ModifierArguments (ModifierId, Name, Value)
values ("MOD_PALACE_LOYALTY_BUFF", "Amount", "50");

-- Small Loyalty Buff for all other Buildings, etc. --

insert into Modifiers (ModifierId, ModifierType)
values ("MOD_SMALL_LOYALTY_BUFF", "MODIFIER_SINGLE_CITY_ADJUST_IDENTITY_PER_TURN");

insert into ModifierArguments (ModifierId, Name, Value)
values ("MOD_SMALL_LOYALTY_BUFF", "Amount", "1");


------------------------------------------------------

-- Palace --

insert into BuildingModifiers (BuildingType, ModifierId)
values ("BUILDING_PALACE", "MOD_PALACE_LOYALTY_BUFF"); 


insert into DistrictModifiers (DistrictType, ModifierId)
Select DistrictType, 'MOD_SMALL_LOYALTY_BUFF' from districts; 


-- Buildings -

insert into BuildingModifiers (BuildingType, ModifierId)
Select BuildingType, 'MOD_SMALL_LOYALTY_BUFF' from buildings; 

--  Identy gain per turn when city follow a religion and have a holy site district 
/*

insert into Modifiers (ModifierId, ModifierType, SubjectRequirementSetId)
values ('MODIFIER_CITY_IDENTITY_GAIN_WHEN_FOLLOW_RELIGION','MODIFIER_SINGLE_CITY_ADJUST_IDENTITY_PER_TURN', 'CITY_FOLLOWS_RELIGION_REQUIREMENTS');
                    
INSERT INTO ModifierArguments (ModifierId,Name,Value)
VALUES ('MODIFIER_CITY_IDENTITY_GAIN_WHEN_FOLLOW_RELIGION','Amount','10'); 
                              
                              
insert into DistrictModifiers (DistrictType, ModifierId) values
("DISTRICT_HOLY_SITE", "MODIFIER_CITY_IDENTITY_GAIN_WHEN_FOLLOW_RELIGION");

  
  
  
  
  
insert into Modifiers (ModifierId, ModifierType, SubjectRequirementSetId)
values ('MODIFIER_CITY_IDENTITY_GAIN_WHEN_FOLLOW_RELIGION','ADJUST_ALL_CITIES_IDENTITY', 'CITY_FOLLOWS_RELIGION_REQUIREMENTS');
                    
INSERT INTO ModifierArguments (ModifierId,Name,Value)
VALUES ('MODIFIER_CITY_IDENTITY_GAIN_WHEN_FOLLOW_RELIGION','Amount','10'); 
                              
                              
insert into DistrictModifiers (DistrictType, ModifierId) values
("DISTRICT_HOLY_SITE", "MODIFIER_CITY_IDENTITY_GAIN_WHEN_FOLLOW_RELIGION");  */

-- identity loss per city in your empire



INSERT INTO Types (Type,Kind)
VALUES ('ADJUST_ALL_PLAYER_CITIES_IDENTITY','KIND_MODIFIER');

INSERT INTO DynamicModifiers (ModifierType,CollectionType,EffectType)
VALUES ('ADJUST_ALL_PLAYER_CITIES_IDENTITY','COLLECTION_PLAYER_CITIES','EFFECT_ADJUST_CITY_IDENTITY_PER_TURN');

insert into Modifiers (ModifierId, ModifierType)
values ('Mod_ADJUST_ALL_PLAYER_CITIES_IDENTITY','ADJUST_ALL_PLAYER_CITIES_IDENTITY');


INSERT INTO ModifierArguments (ModifierId,Name,Value)
VALUES ('Mod_ADJUST_ALL_PLAYER_CITIES_IDENTITY','Amount','-5'); 

insert into DistrictModifiers (DistrictType, ModifierId) values
("DISTRICT_CITY_CENTER", "Mod_ADJUST_ALL_PLAYER_CITIES_IDENTITY");  



-- Identity gain single city for all wonder possessed

insert into Modifiers (ModifierId, ModifierType)
 values ('MODIFIER_SINGLE_CITY_IDENTITY_PER_TURN_WONDER', 'MODIFIER_SINGLE_CITY_ADJUST_IDENTITY_PER_TURN');
                   
INSERT INTO ModifierArguments (ModifierId,Name,Value)
VALUES ('MODIFIER_SINGLE_CITY_IDENTITY_PER_TURN_WONDER','Amount','10'); 

insert into BuildingModifiers (BuildingType, ModifierId)
Select BuildingType, 'MODIFIER_SINGLE_CITY_IDENTITY_PER_TURN_WONDER' from buildings 
where IsWonder = '1'; 


-- Identity gain for all your city per wonder possessed per city 


insert into Modifiers (ModifierId, ModifierType)
 values ('MODIFIER_PLAYER_CITIES_IDENTITY_PER_TURN_WONDER', 'MODIFIER_PLAYER_CITIES_ADJUST_IDENTITY_PER_TURN');

INSERT INTO ModifierArguments (ModifierId,Name,Value)
VALUES ('MODIFIER_PLAYER_CITIES_IDENTITY_PER_TURN_WONDER','Amount','10'); 

insert into BuildingModifiers (BuildingType, ModifierId)
Select BuildingType, 'MODIFIER_PLAYER_CITIES_IDENTITY_PER_TURN_WONDER' from buildings 
where IsWonder = '1';  



-- Identity loss per turn per belief of the followed religion by the city For city who follow a religion but do not have an holy site

INSERT INTO Requirements ( RequirementId,RequirementType,Inverse)
VALUES ('REQUIRES_CITY_HAS_NOT_HOLY_SITE','REQUIREMENT_CITY_HAS_DISTRICT','1');

INSERT INTO RequirementArguments (RequirementId,Name, Value )
VALUES ('REQUIRES_CITY_HAS_NOT_HOLY_SITE','DistrictType','DISTRICT_HOLY_SITE');

INSERT INTO RequirementSets (RequirementSetId, RequirementSetType)
VALUES ('REQUIRES_CITY_HAS_NOT_HOLY_SITE_FOLLOW_RELIGION','REQUIREMENTSET_TEST_ALL');

INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId)
VALUES ('REQUIRES_CITY_HAS_NOT_HOLY_SITE_FOLLOW_RELIGION','REQUIRES_CITY_HAS_NOT_HOLY_SITE');   


insert into Modifiers (ModifierId, ModifierType, SubjectRequirementSetId)
values ('MODIFIER_CITY_IDENTITY_LOSS_FOLLOW_RELIGION_HOLY_SITE_DISTRICT_NOT_EXIST','MODIFIER_ALL_CITIES_ATTACH_MODIFIER', 'CITY_FOLLOWS_RELIGION_REQUIREMENTS');

 insert into Modifiers (ModifierId, ModifierType, SubjectRequirementSetId)
 values ('single_cities_identy_loss_no_holy_site_follow_religion','MODIFIER_SINGLE_CITY_ADJUST_IDENTITY_PER_TURN','REQUIRES_CITY_HAS_NOT_HOLY_SITE_FOLLOW_RELIGION');

INSERT INTO ModifierArguments (ModifierId,Name,Value)
VALUES ('MODIFIER_CITY_IDENTITY_LOSS_FOLLOW_RELIGION_HOLY_SITE_DISTRICT_NOT_EXIST','ModifierId','single_cities_identy_loss_no_holy_site_follow_religion'); 
                    
INSERT INTO ModifierArguments (ModifierId,Name,Value)
VALUES ('single_cities_identy_loss_no_holy_site_follow_religion','Amount','-5'); 

Insert into BeliefModifiers ( BeliefType, modifierid )
Select belieftype, 'MODIFIER_CITY_IDENTITY_LOSS_FOLLOW_RELIGION_HOLY_SITE_DISTRICT_NOT_EXIST' 
from Beliefs
where beliefclasstype not like '%BELIEF_CLASS_PANTHEON%';



-- Identity gain per turn per belief of the followed religion by the city For city who follow a religion and have an holy site

insert into Modifiers (ModifierId, ModifierType, SubjectRequirementSetId)
values ('MODIFIER_CITY_IDENTITY_GAIN_FOLLOW_RELIGION_HOLY_SITE_DISTRICT_EXIST','MODIFIER_ALL_CITIES_ATTACH_MODIFIER', 'CITY_FOLLOWS_RELIGION_REQUIREMENTS');



 insert into Modifiers (ModifierId, ModifierType, SubjectRequirementSetId)
 values ('single_cities_identy_gain_holy_site_follow_religion','MODIFIER_SINGLE_CITY_ADJUST_IDENTITY_PER_TURN','CITY_HAS_HOLY_SITE');

INSERT INTO ModifierArguments (ModifierId,Name,Value)
VALUES ('MODIFIER_CITY_IDENTITY_GAIN_FOLLOW_RELIGION_HOLY_SITE_DISTRICT_EXIST','ModifierId','single_cities_identy_gain_holy_site_follow_religion'); 
                    
INSERT INTO ModifierArguments (ModifierId,Name,Value)
VALUES ('single_cities_identy_gain_holy_site_follow_religion','Amount','5'); 

 
Insert into BeliefModifiers ( BeliefType, modifierid )
Select belieftype, 'MODIFIER_CITY_IDENTITY_GAIN_FOLLOW_RELIGION_HOLY_SITE_DISTRICT_EXIST' 
from Beliefs
where beliefclasstype not like '%BELIEF_CLASS_PANTHEON%'; 



-- Identity gain per turn when at peace

insert into Modifiers (ModifierId, ModifierType)
values ('LOYALTY_GAIN_EACH_TURN_WHEN_PEACE_ALL_CITIES','MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER');


 insert into Modifiers (ModifierId, ModifierType, SubjectRequirementSetId)
 values ('LOYALTY_GAIN_EACH_TURN_WHEN_PEACE','MODIFIER_PLAYER_CITIES_ADJUST_IDENTITY_PER_TURN','PLAYER_IS_AT_PEACE_WITH_ALL_MAJORS');

INSERT INTO ModifierArguments (ModifierId,Name,Value)
VALUES ('LOYALTY_GAIN_EACH_TURN_WHEN_PEACE_ALL_CITIES','ModifierId','LOYALTY_GAIN_EACH_TURN_WHEN_PEACE'); 
                    
INSERT INTO ModifierArguments (ModifierId,Name,Value)
VALUES ('LOYALTY_GAIN_EACH_TURN_WHEN_PEACE','Amount','30'); 

insert into GameModifiers (ModifierId) values
("LOYALTY_GAIN_EACH_TURN_WHEN_PEACE_ALL_CITIES");  

-- Grant Loyalty to city when wining  combat in city territory

INSERT INTO TYPES (Type, Kind)
 values ('MODIFIER_ALL_MAJOR_PLAYERS_ATTACH_MODIFIER','KIND_MODIFIER');

insert into DynamicModifiers (ModifierType, CollectionType,EffectType)
values ('MODIFIER_ALL_MAJOR_PLAYERS_ATTACH_MODIFIER','COLLECTION_MAJOR_PLAYERS','EFFECT_ATTACH_MODIFIER');




insert into modifiers (modifierid,modifiertype)
values ('ADJUST_POST_COMBAT_LOYALTY_ON_ALLY_TERRITORY','MODIFIER_PLAYER_ADJUST_POST_COMBAT_LOYALTY');

insert into ModifierArguments (ModifierId,Name,Value)
values ('ADJUST_POST_COMBAT_LOYALTY_ON_ALLY_TERRITORY','AffectLocal','1');

insert into ModifierArguments (ModifierId,Name,Value)
values ('ADJUST_POST_COMBAT_LOYALTY_ON_ALLY_TERRITORY','Amount','200');




insert into modifiers (modifierid,modifiertype)
values ('ALL_MAJOR_PLAYERS_ADJUST_POST_COMBAT_LOYALTY_ON_ALLY_TERRITORY','MODIFIER_ALL_MAJOR_PLAYERS_ATTACH_MODIFIER');

insert into ModifierArguments (modifierid,name,value)
values ('ALL_MAJOR_PLAYERS_ADJUST_POST_COMBAT_LOYALTY_ON_ALLY_TERRITORY','ModifierId','ADJUST_POST_COMBAT_LOYALTY_ON_ALLY_TERRITORY');


insert into gamemodifiers (modifierid)
values('ALL_MAJOR_PLAYERS_ADJUST_POST_COMBAT_LOYALTY_ON_ALLY_TERRITORY');



-- LOSS Loyalty in city when Losing combat in city territory


insert into modifiers (modifierid,modifiertype)
values ('ADJUST_POST_LOST_COMBAT_LOYALTY_ON_ALLY_TERRITORY','MODIFIER_PLAYER_ADJUST_POST_COMBAT_LOYALTY');

insert into ModifierArguments (ModifierId,Name,Value)
values ('ADJUST_POST_LOST_COMBAT_LOYALTY_ON_ALLY_TERRITORY','AffectLocal','0');

insert into ModifierArguments (ModifierId,Name,Value)
values ('ADJUST_POST_LOST_COMBAT_LOYALTY_ON_ALLY_TERRITORY','Amount','-200');


insert into modifiers (modifierid,modifiertype)
values ('ALL_MAJOR_PLAYERS_ADJUST_POST_LOST_COMBAT_LOYALTY_ON_ALLY_TERRITORY','MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER');

insert into ModifierArguments (modifierid,name,value)
values ('ALL_MAJOR_PLAYERS_ADJUST_POST_LOST_COMBAT_LOYALTY_ON_ALLY_TERRITORY','ModifierId','ADJUST_POST_LOST_COMBAT_LOYALTY_ON_ALLY_TERRITORY');


insert into gamemodifiers (modifierid)
values('ALL_MAJOR_PLAYERS_ADJUST_POST_LOST_COMBAT_LOYALTY_ON_ALLY_TERRITORY');
